###########################################################################
## Talk System Data Base
###########################################################################

import Talk


###########################################################################
## Standard Dialogs
###########################################################################


## Alone: The player says these texts when there is not nobody faced
##-------------------------------------------------------------------------

TSDB.Alone = ["Is anybody there!",
	      "I don't like the look of this",
	      "Hello...I thought I heard something?",
	      "The place looks deserted"]

              
## Alone: The player says these texts when the faced character doesn't
## have assigned any dialogue.
##-------------------------------------------------------------------------
              
TSDB.Ignore = ["You are strangely quiet my friend.",
               "Ignore me then.....I care not",
               "Are you DEAF?.",
               "Hello there"]              
               
###########################################################################
## Customized dialogs for each character
###########################################################################

## Dlg Database:
## Format:
##    TSDB.Dlg [pers.Name]={
##           'dlgId': {
##              'Text':
##                """Texto libre""",
##               'Answers': ['ansId1',...'ansIdn']
##              'OtherKey': value
##           }
##    }
##
## * Text: The text will be formatted for TS.
## * Answer: List of answers (ansId). If the list is null [] the
##   conversation is stopped.
##  Please read the documentation to know the details
##
##-------------------------------------------------------------------------

###########################################################################
## Player Answers
###########################################################################

## Answers Database:
## Format:
##   TSDB.Ans [pers.Name]={
##	'ansId': {
##	    'Text':
##	     """Texto""",
##	    'NextDlg': 'ansId',
##	    'Enabled':1
##          'OtherKey': value
##       }
##    }
## * Text: The text will be formatted for TS.
## * NextDlg: The identifier of the next dialogue (dlgId). To stop a  
##   conversation: None.
##  Please reads the documentation to know the details
##-------------------------------------------------------------------------
##########################################################################################################################
####   Henry the InnKeeper     ###########################################################################################
##########################################################################################################################


TSDB.Dlg ["Henry"]={
	'whogoesthere': {
	   'Text':
	     """Hey there! What brings you to this lonely place? """,
           'Answers': ['friend'],
           'CallBack':'LookAtMeWhenImTalkingToYou', 
           'NewDlg': None
        },
	'comein': {
	    'Text':
	     """You are very welcome %PlayerName. Come inside and warm yourself. You must be frozen! """\
	     """Yours is the first friendly face I have seen in a great age.""",
            'Answers': [],
            'CallBack':'ComenceAttack',
            'NewDlg': None
        },
	'thereisdanger': {
	    'Text':
	     """You are welcome to anything you may find in my humble house, but beware! """\
	     """There is danger. There are many fierce Orcs camped up in the rocks nearby. About this time of night  """\
	     """they usually pay me a visit. I am afraid I have little to offer you in the way of refreshment. """\
	     """Those theiving Orcs have taken all my supplies. """,
            'Answers': ['icanhelp'],
            'CallBack':'LookAtMeWhenImTalkingToYou', 
            'NewDlg': None
        },
	'ihearthemcoming': {
	    'Text':
	     """Spoken like a Warrior! But harken!...I think I hear them coming. """,
	    'Answers': ['illsortthemout'],
            'NewDlg': None
        },
        'thatsthelot': {
	    'Text':
	     """I think that is all of them, but I am sure there are some more up in the rocks """\
	     """around the back. Shall we wipe them out for good? """,
	    'CallBack':'ResetTalkstate', 
            'Answers': ['letsgo'],
            'NewDlg': None
        },
        'finished': {
	    'Text':
	     """Ye Gods!...That was the Chief Ork. Now he is slain I will get no more trouble. """\
	     """We must look up in the rocks. The Orcs have a camp up there. There may still be """\
	     """some of my food that they have not eaten. I am sure we could both use a good meal.""",	
	    'CallBack':'ResetTalkstate',     
            'Answers': ['imfit','imverytired'],
            'NewDlg': None
        },
        'finished2': {
	    'Text':
	     """Ye Gods!...That was the Chief Ork. Now he is slain I will get no more trouble. """\
	     """The Orcs have a camp up in the rocks. There may still be some of my food up there."""\
	     """But I have taken a hard beating and I have not the strength to climb up.""",
	    'CallBack':'ResetTalkstate', 	    
            'Answers': ['waitdownhere'],
            'NewDlg': None
        },
        'thatsthelot2': {
	    'Text':
	     """I think that is all of them %PlayerName, but I did not see the Chief Ork. There must be  """\
	     """more hiding in the rocks at the back. I will have a look around. You go inside and see if you can """\
	     """find some potions for your wounds.""",
	    'CallBack':'SetReturnTrigger', 	   	    
            'Answers': ['willdo'],
            'NewDlg': None
        },
        'getmyclub': {
	    'Text':
	     """It is too quiet out there. I am sure there are still some Orcs lurking about. I must get my BIG club. """,
            'Answers': ['illhavealook'],
            'CallBack':'HenryHasSpoken2', 
            'NewDlg': None
        },
        'sneakround': {
	    'Text':
	     """Be careful %PlayerName. Do not go rushing in. I will sneak round the other way. """,
            'Answers': [],
            'CallBack':'HenryHasSpoken2', 
            'NewDlg': None
        },
        'fightingtalk': {
	    'Text':
	     """By the Gods!...thats fighting talk! It is many years since I last swung an axe...In the Great """\
	     """War of the Sword. But harken! I think I hear them approach......  """,
            'Answers': ['illsortthemout'],
            'NewDlg': None
        },
        'bloodsup': {
	    'Text':
	     """Ha! Well said %PlayerName.... I am in the mood for fighting now. """,
	    'CallBack':'HenryHasSpoken1', 
            'Answers': [],
            'NewDlg': None
        },
        'illwaithere': {
	    'Text':
	     """Alright %PlayerName....I will wait here until you return. """,
            'Answers': [],
            'NewDlg': None
        },
        'illwaithere2': {
	    'Text':
	     """Alright %PlayerName....I will wait here. Be careful.""",
            'Answers': [],
            'NewDlg': None
        },
        'oldbones': {
	    'Text':
	     """Alas!...I am afraid I am not as fit as I used to be. These old bones are getting """\
	     """very creaky. You go first and have a look and I will see if I can climb up after you.""",
            'Answers': [],
            'NewDlg': None
        },
        'getsomesleep': {
	    'Text':
	     """That was a nasty moment %PlayerName! But see, there are some boxes of food and three """\
	     """barrels of beer that have not been touched. But you look tired. Go inside and get some """\
	     """rest. I will get the food and have a good breakfast waiting when you rise. """,
	    'CallBack':'ResetTalkstate', 
            'Answers': ['yesimknackered'],
            'NewDlg': None
        },
        'gnight': {
	    'Text':
	     """May you sleep well %PlayerName, you have earned it! """,
	    'Answers': [],
	    'HideDelay':7, 
	    'CallBack':'ToBed', 
            'NewDlg': None
        },
        'itsagoodjob': {
	    'Text':
	     """Was that a Rock Troll? Are You alright? I am sorry a could not get up to help you. """\
	     """Curse these old legs of mine! """,
	    'Answers': ['noprob'],
	    'CallBack':'LookAtMeWhenImTalkingToYou', 
            'NewDlg': None
        },
        'manage': {
	    'Text':
	     """Ha! That is good news! I feel my strength returning. You have done more than enough this night. """\
	     """Go inside and get some rest. I will retrieve the supplies and have breakfast waiting when you rise. """,
	    'Answers': ['advice'],
            'NewDlg': None
        },
        'ugohavealook': {
	    'Text':
	     """Right! You have a look in the back field and see if there are any about. I will get my old club """\
	     """and sneak round the other way. Be careful. """,
	    'Answers': [],
	    'CallBack':'HenryHasSpoken2', 
            'NewDlg': None
        },
        'thatsthelot3': {
	    'Text':
	     """I think that is all of them for now, there are bound to be more up in the rocks at the back. """\
	     """But you are badly wounded %PlayerName. I have a few potions hidden about the place. See if you can """\
	     """find some. When you are fit we will tackle the last of the Orcs. In the meantime I will sneak round """\
	     """and see if I can see any lurking about. """,
	    'CallBack':'ResetTalkstate', 
	    'Answers': ['iamwounded'],
            'NewDlg': None
        },
        'lookforpotions': {
	    'Text':
	     """I cannot remember exactly where I hid the potions, so you may have to search around. """\
	     """I will get my BIG club.""",
	    'Answers': [],
	    'CallBack':'HenryHasSpoken2', 
            'NewDlg': None
        },
        'goodmorning': {
	    'Text':
	     """Good Morning %PlayerName. Did you sleep well? Breakfast is waiting downstairs.""",
	    'Answers': ['yesthankx'],
            'NewDlg': None
        },
        'leasticando': {
	    'Text':
	     """You are more than welcome! Stay as long as you like, I would be glad of the company. """\
	     """I had had a good search around the Orc camp while you were sleeping. Most of their weapons """\
	     """were very inferior. I will sell them to pay for all the beer they have drunk. I did find some """\
	     """decent armour and a good bow. You may be able to make use of them. """, 
	    'CallBack':'BreakfastReady', 
	    #'HideDelay':25, 
	    'Answers': ['surecan'],
            'NewDlg': None
        },
        'plans': {
	    'Text':
	     """What are your plans now %PlayerName? """,
	    'CallBack':'ResetTalkstate', 
	    'Answers': ['journeyon'],
            'NewDlg': None
        },
        'heardofthem': {
	    'Text':
	     """Hmmmm....I have heard tell of these evil dogs. Some say they serve the Sorcerer, Dal Gurak. """,
	    'Answers': ['directions'],
            'NewDlg': None
        },
        'key': {
	    'Text':
	     """You must mean the old Monastery. It lies not too far away, to the west. I have not been there for """\
	     """many a long year. The gateway at the end of the track leads over a great bridge and through a gorge. """\
	     """This is the path you must travel. """,
	    'Answers': ['opengate'],
            'NewDlg': None
        },
        'cellar': {
	    'Text':
	     """The gate has been closed for many years, but I do have the key. I keep it down in the cellar. """\
	     """But I am reluctant to go down there. Some years ago a friend of mine went in there and never  """\
	     """came out. I fear the place is infested with something very nasty. """,
	    'Answers': ['iwillsortitout'],
            'NewDlg': None
        },
        'brave': {
	    'Text':
	     """Alright %PlayerName, go out the back door and down the stairs to the right. Take a torch with you. """\
	     """Things which live in the darkness are sometimes afraid of fire. """,
	    'Answers': ['iwillsortitout'],
	    'CallBack':'OpenCellar', 
            'NewDlg': None
        },
        'haveyougotit': {
	    'Text':
	     """What happened %PlayerName? The door was jammed solid! """,
	    'CallBack':'ResetTalkstate', 
	    'Answers': ['gotkey'],
            'NewDlg': None
        },
        'good': {
	    'Text':
	     """That sounds like an good idea. I will go and get some nails! """,
	    'Answers': [],
	    'CallBack':'DropHammer1', 
            'NewDlg': None
        },
        'byeee': {
	    'Text':
	     """I am sorry to see you leave %PlayerName. Rest assured, as long as there is a roaring fire """\
	     """in the hearth there will be a place for you beside it. """,
	    'Answers': ['moveon'],
            'NewDlg': None
        },
        'gift': {
	    'Text':
	     """Before you go, I have something for you. Take this amulet. It was given to me many years ago, """\
	     """in my fighting days. I never had cause to call upon it's power. Use it wisely. It could save your """\
	     """skin in a desperate situation. """,
	    'CallBack':'PassAmulet1', 
	    'Answers': ['whoknows'],
            'NewDlg': None
        },
        'mendfire': {
	    'Text':
	     """My pleasure %PlayerName. Oh look!....the fire is nearly out. """,
	    'CallBack':'HenryMendFire', 
	    'Answers': [],
            'NewDlg': None
        }
}


TSDB.Ans ["Henry"]={
	'friend': {
	    'Text':
	     """ Fear not Innkeeper, I am a friend. I have travelled far across """\
	     """ these mountains and would welcome a warm bed for the night and some food."""\
	     """ My name is %PlayerName """,
	    'NextDlg': 'comein',
	    'Enabled':1
	},	
	'illsortthemout': {
	    'Text':
	     """Don't worry! If they come near they will feel the touch of my %wep. """,
	    'NextDlg': 'bloodsup',
	    'Enabled':1
        },	
	'letsgo': {
	    'Text':
	     """Yes!... lets go and finish them while I am in the mood!  """,
	    'NextDlg': 'ugohavealook',
	    'Enabled':1
        },
	'imverytired': {
	    'Text':
	     """I am very weary from all this fighting and my wounds are bad. I will see if I can """\
	     """find any more potions about before we venture up. Who knows what may be lurking up there. """,
	    'NextDlg': 'illwaithere',
	    'Enabled':1
	},
	'imfit': {
	    'Text':
	     """I feel fine. What about you? Are you fit for some rock climbing? """,
	    'NextDlg': 'oldbones',
	    'Enabled':1
        },
	'willdo': {
	    'Text':
	     """Yes I will do, but be careful... and call out if you need help. """,
	    'NextDlg': None,
	    'Enabled':1
	}, 
	'illhavealook': {
	   'Text':
	    """I will go take a look. If you hear the clash of steel, come running. """,
	  
	   'NextDlg': None,
	   'Enabled':1
	}, 
	'icanhelp': {
	   'Text':
	    """Orcs are no friends of mine either! If they show their ugly faces tonight we should be able """\
	    """to deal with them together """,
	   'NextDlg': 'fightingtalk',
	   'Enabled':1
	}, 
	'yesimknackered': {
	   'Text':
	    """That was a good nights work Henry! I think I will take your advice. We will speak again in the morning """,
	   'NextDlg': 'gnight',
	   'Enabled':1
	}, 
	'noprob': {
	   'Text':
	    """Don't worry yourself Henry. I have seen off bigger things in my travels. But cheer up, there """\
	    """is lots of food up there and three barrels of beer. """,
	   'NextDlg': 'manage',
	   'Enabled':1
	}, 
	'advice': {
	   'Text':
	    """Alright Henry. I will take your advice. We will speak again in the morning. """,
	   'NextDlg': 'gnight',
	   'Enabled':1
	}, 
	'iamwounded': {
	   'Text':
	    """I have picked up a few wounds and am very tired. I don't think I could survive another fight. """\
	    """I will find the potions and meet you in the field. Don't try to take them on until I get there. """,
	   'NextDlg': 'lookforpotions',
	   'Enabled':1
	}, 
	'seeyouroundthere': {
	   'Text':
	    """I will be fine if I can find a few potions. """\
	    """If you see any Orcs, don't try to take them on until I get there. """,
	   'NextDlg': 'None',
	   'CallBack':'HenryHasSpoken2', 
	   'Enabled':1
	}, 
	'illwaithere2': {
	   'Text':
	    """Wait down here Henry. I will take a look. """,
	   'NextDlg': None,
	   'Enabled':1
	}, 
	'waitdownhere': {
	   'Text':
	    """You look a little worse for wear Henry. Stay here, I will take a look. """,
	   'NextDlg': None,
	   'Enabled':1
	}, 
	'yesthankx': {
	   'Text':
	    """Yes, thank you Henry. I am very hungry. """,
	   'NextDlg': 'leasticando',
	   'Enabled':1
	}, 
	'journeyon': {
	   'Text':
	    """I would like to stay here with you awhile Henry, but I fear it would only bring trouble to your house."""\
	    """I am being hunted by the Black Guard. I managed to elude their clutches and escaped into these mountains, """\
	    """but they are very tenacious. They are sure to catch up with me sooner or later. """,
	   'NextDlg': 'heardofthem',
	   'Enabled':1
	}, 
	'directions': {
	   'Text':
	    """Yes that is right. Some years ago I dared to defy him, but that is another story. I heard that somewhere in """\
	    """these mountains is a place of sanctuary, beyond the reach of his evil regime.""",
	   'NextDlg': 'key',
	   'Enabled':1
	}, 
	'opengate': {
	   'Text':
	    """I saw the gateway last night. Have you got the key? """,
	   'NextDlg': 'cellar',
	   'Enabled':1
	}, 
	'iwillsortitout': {
	   'Text':
	    """Oh well, I have little choice but to try.""",
	   'NextDlg': 'brave',
	   'Enabled':1
	}, 
	'gotkey': {
	   'Text':
	    """Believe me Henry, you do not want to know. If I were you I would close the door """\
	    """and never go in there again. I did get the key though.....""",
	   'NextDlg': 'good',
	   'Enabled':1
	}, 
	'moveon': {
	   'Text':
	    """Thank you Henry, But I must journey on. It would be hazardous for both of us if I stayed. """,
	   'NextDlg': 'gift',
	   'Enabled':1
	}, 
	'whoknows': {
	   'Text':
	    """Thank you again. Who knows what peril lies on the road ahead. """,
	   'NextDlg': 'None',
	   'CallBack':'CamBack2Player', 
	   'Enabled':1
	}, 
	'surecan': {
	   'Text':
	    """I can see you have been very busy Henry. """,
	   'NextDlg': 'mendfire',
	   'Enabled':1
        }
}

##########################################################################################################################
######################################## Harold ##########################################################################
##########################################################################################################################         

TSDB.Dlg ["Harold"]={
	'hellothere': {
	    'Text':
	     """Hello there! """,
	   'CallBack':'ResetTalkstate', 
           'Answers': ['whatshappening'],
           'NewDlg': None
        },
	'stuck': {
	    'Text':
	     """Alas! I fear we are in dire straits. Myself and my companions were staying at the Monastery, but an evil force has """\
	     """invaded the place. We had to flee for our lives! Then some big hairy monsters fell on us."""\
	     """Fortunately they were too big to get through the gap in the great doors. """,
            'Answers': ['passable'],
            'NewDlg': None
        },
	'yousure': {
	    'Text':
	     """Old Henry!...Is he still alive? His fireplace will be a welcome sight to us. But I fear """\
	     """you will not be able to travel further. The beasts have blocked the gorge with big rocks. """\
	     """We laid a big charge of blasting powder to try to destroy the barrier, but we were driven off """ \
	     """before we could ignite it. Half our party were killed in the attempt.""",
            'Answers': ['maybenot'],
            'NewDlg': None
        },
	'arrows': {
	    'Text':
	     """We had a quiver of flame arrows, but they were lost in the battle. We dare not try to retrieve """\
	     """them. If you can find them you may stand a chance........ But shoot from as far away as you can, """\
	     """the explosion will be very powerful! """,
            'Answers': ['haveago'],
            'NewDlg': None
        }
}           
           
           
TSDB.Ans ["Harold"]={
	'whatshappening': {
	    'Text':
	     """Greetings! I did not expect to meet anyone on this forsaken road. """,
	    'NextDlg': 'stuck',
	    'Enabled':1
	}, 
	'passable': {
	   'Text':
	    """It is my intention the travel on to the Monastery. """\
	    """But now the Dragon Gate is open you can seek shelter with Henry the Innkeeper. I will go on and see if """\
	    """your hairy monsters want a fight! """,
	   'NextDlg': 'yousure',
	   'Enabled':1    
	}, 
	'maybenot': {
	   'Text':
	    """How were you planning to set off the explosives? """,
	   'NextDlg': 'arrows',
	   'CallBack':'SetUpMinos', 
	   'Enabled':1    
	}, 
	'haveago': {
	   'Text':
	    """Alright, I will have a go. No beast will block my path. I care not how big and hairy it is! """,
	   'NextDlg': None,
	   'Enabled':1    
        }
}           
           
############################################################################################################################
########################### Hector #########################################################################################
############################################################################################################################


TSDB.Dlg ["Hector"]={
	'letmeout': {
	    'Text':
	     """Hello there! what are you doing in this hellish place? """,
	   'CallBack':'ResetTalkstate', 
           'Answers': ['sanctuary'],
           'NewDlg': None
        },
	'changed': {
	    'Text':
	     """Alas my friend, times have changed and not for the better. The shadow of evil has fallen """\
	     """upon this hallowed place. Some of us managed to escape, but myself and some of my clan were """\
	     """thrown into these foul dungeons. Even some Orcs were imprisoned. """,
	    'CallBack':'SetGolem', 
            'Answers': ['getout'],
            'NewDlg': None
        },
	'wearefree': {
	    'Text':
	     """Ha!....these big metal monsters are no match for a Dwarf with a big club. """,
            'Answers': ['gofurther'],
            'NewDlg': None
        },
	'metalmonster': {
	    'Text':
	     """Look to the huge door at your right. Beyond it is a great monster of metal. I think the cell """\
	     """doors are controlled from somewhere in there. The monster is powerful but slow-witted. If you can """\
	     """manage to open the cells we can help you slay it. """,
            'Answers': ['dooropen'],
            'NewDlg': None
        },
	'dontreleasetheorks': {
	    'Text':
	     """Thank you %PlayerName. Be ready for a hard fight. Try not to release the Orcs! They have not been """\
	     """fed for days. """,
            'Answers': [],
            'NewDlg': None
        }
}           
           
           
TSDB.Ans ["Hector"]={
	'sanctuary': {
	    'Text':
	     """I am called %PlayerName. I have travelled far to seek sanctuary within these walls, """\
	     """but so far I have found only danger. """,
	    'NextDlg': 'changed',
	    'Enabled':1
	}, 
	'gofurther': {
	   'Text':
	    """Very true Hector. I wonder what else is lurking about the place. """,
	   'NextDlg': None,
	   'Enabled':1    
	}, 
	'getout': {
	   'Text':
	    """How can I help? I entered through a big hole outside, but you cannot leave that way. """,
	   'NextDlg': 'metalmonster',
	   'Enabled':1   
	}, 
	'dooropen': {
	   'Text':
	    """I will see if I can open the door. A few good thumps should attract the monsters attention. """,
	   'NextDlg': 'dontreleasetheorks',
	   'Enabled':1             
        }
}    

#############################################################################################################################
##################### Tom ###################################################################################################
#############################################################################################################################

TSDB.Dlg ["Tom"]={
	'tominst1': {
	    'Text':
	     """Greetings friend! You entrance was well timed. Alas, things are far from well! """\
	     """A curse has descended on this place! The dead rise from their eternal slumbers and walk abroad. """\
	     """They are in my kitchen as we speak, but I locked the door. I have not had a bite to eat for days. """\
	     """I had a nice pan of stew on the stove too.........""",
	   'CallBack':'LookAtMeWhenImTalkingToYou', 
           'Answers': ['canihelp'],
           'NewDlg': None
        },
	'tominst2': {
	    'Text':
	     """I know not, but you have the look of a seasoned fighter. Seek out Colin. He is the wisest among our """\
	     """order. He has locked himself in the Scriptorium. You will have to bang on the door to gain his attention. """\
	     """If anyone knows what can be done, he will. """,
            'Answers': ['illdothat'],
            'NewDlg': None
        },
	'tominst3': {
	    'Text':
	     """I am much afraid that will not be easy. Most of the doors have been locked to try and contain """\
	     """the undead spirits. """\
	     """There may be a way though the Aquarium. Go up the stairway and out onto the walkway to your right. The way """\
	     """may still be passable. Watch your back. """,
            'Answers': ['illhaveago'],
            'NewDlg': None
        },
	'sayhi1': {
	    'Text':
	     """Hello again. Had any trouble? You need to be on the next floor up to reach The Scriptorium.""",
	    'CallBack':'ResetTalkstate', 
            'Answers': ['oright1'],
            'NewDlg': None
        },
	'sayhi2': {
	    'Text':
	     """Hello again. Had any trouble? I have seen no more zombies since last we met.""",
	    'CallBack':'ResetTalkstate', 
            'Answers': ['oright2'],
            'NewDlg': None
        },
	'sayhi3': {
	    'Text':
	     """Oh good! You have cleared all the zombies out of my kitchen. Take all the food and potions, but """\
	     """I would avoid the stew. """,
	    'CallBack':'ResetTalkstate', 
            'Answers': ['oright3'],
            'NewDlg': None
        },
	'sayhi4': {
	    'Text':
	     """Ah! At last I can get back into my kitchen. How goes it with you my friend? """,
	    'CallBack':'ResetTalkstate', 
            'Answers': ['oright4'],
            'NewDlg': None
        },
	'haveadrink': {
	    'Text':
	     """I have found you a potion. It is only a little one but you might as well have it. """,
	    'CallBack':'TomPot1', 
            'Answers': ['thanx1'],
            'NewDlg': None
        },
        'goodluckmate': {
	    'Text':
	     """Good Luck %PlayerName. If I were eighty years younger I would come with you. """, 
            'Answers': [],
            'NewDlg': None
        }
}           
           
           
TSDB.Ans ["Tom"]={
	'canihelp': {
	    'Text':
	     """Indeed! This is not the reception I had hoped for. Can I be of any help? """,
	    'NextDlg': 'tominst2',
	    'Enabled':1
	}, 
	'illdothat': {
	   'Text':
	    """Very well. But how do find this place?  """,
	   'NextDlg': 'tominst3',
	   'Enabled':1    
	}, 
	'illhaveago': {
	   'Text':
	    """Fear not. I will return. """,
	   'CallBack':'SetDemons', 
	   'NextDlg': None,
	   'Enabled':1
	}, 
	'oright1': {
	   'Text':
	    """Oh I see.....I will go back up the elevator. """,
	   'NextDlg': 'haveadrink',
	   'Enabled':1
	}, 
	'oright2': {
	   'Text':
	    """I have spoken to Colin. He and some companions are safe in the Scriptorium. """,
	   'NextDlg': 'haveadrink',
	   'Enabled':1
	}, 
	'oright3': {
	   'Text':
	    """Yes! It looks as if it has overcooked somewhat. Even the zombies have not touched it. """,
	   'NextDlg': None,
	   'Enabled':1
	}, 
	'oright4': {
	   'Text':
	    """Good news. I have restored the sacred statues to the shrine. Ianna smiles on us once more! """\
	    """I go now to slay the Demon in it's den. """,
	   'NextDlg': 'goodluckmate',
	   'Enabled':1
	}, 
	'thanx1': {
	   'Text':
	    """Thank you. I am very thirsty.....""",
	   'NextDlg': None,
	   'Enabled':1
        }
}    

###########################################################################################################################
################# Colin ###################################################################################################
###########################################################################################################################

TSDB.Dlg ["Colin"]={
	'whosthatknockin': {
	    'Text':
	     """Begone you unholy fiends! You will never get into my Library! """,
           'Answers': ['onlyme'],
           'NewDlg': None
        },
	'colinopendoor': {
	    'Text':
	     """By the Gods! Help at last. I had almost abandoned all hope. """,
	    'CallBack':'OpenLibraryDoor', 
            'Answers': [],
            'NewDlg': None
        },
	'plzcomein': {
	    'Text':
	     """Come in my friend. I am Colin the Librarian. What is going on out there? """,
	    'CallBack':'ColinCam', 
            'Answers': ['lotsofspooks'],
            'NewDlg': None
        },
	'plzcomein2': {
	    'Text':
	     """Come in my friend. I am Colin the Librarian. What is going on out there? """,
	    'CallBack':'ColinCam', 
            'Answers': ['lotsofspooks2'],
            'NewDlg': None
        },
	'digging': {
	    'Text':
	     """Alas! It is a sorry tale. We were excavating a new wine cellar when we broke into a huge cavern. """\
	     """Some foul demon dwelt there. All manner of evil creatures came forth and invaded the monastery. """\
	     """They pillaged the Shrine of Ianna. We managed to remove the sacred statues before they """\
	     """could fall into evil hands, but they must be safely restored to the Altar if we are to have any """\
	     """chance of destroying the menace. """,
            'Answers': ['wherearethey'],
            'NewDlg': None
        },
	'digging2': {
	    'Text':
	     """Alas! It is a sorry tale. We were excavating a new wine cellar when we broke into a huge cavern. """\
	     """Some foul demon dwelt there. All manner of evil creatures came forth and invaded the monastery. """\
	     """They pillaged the Shrine of Ianna. We managed to remove the sacred statues before they """\
	     """could fall into evil hands, but they must be safely restored to the Altar if we are to have any """\
	     """chance of destroying the menace. """,
            'Answers': ['wherearethey2'],
            'NewDlg': None
        },
	'nonot': {
	    'Text':
	     """Ah! you have a brave heart, but I am sure that the Demon cannot be bested by any mortal hand. There was a """\
	     """Knight staying here when the trouble started. He was determined to fight the beast. He descended into """\
	     """the tunnels days since and has not been seen again. I fear he has met a terrible end. The only hope is to """\
	     """restore the power of the Shrine. Then we may call upon Ianna to help us in this dark hour. """,
            'Answers': ['wherefound'],
            'NewDlg': None
        },
	'nonot2': {
	    'Text':
	     """Alas, I know not. I think I saw George the bellringer with the Falcon statue. He must still be alive."""\
	     """I have heard the great bell tolling. You could look for him near the bell towers.  """\
	     """Maybe he saw what fate befell the rest of the statues. """,
            'Answers': ['leaveittome'],
            'NewDlg': None
        },
	'no2not2': {
	    'Text':
	     """Ah! you have a brave heart, but I am sure that the Demon cannot be bested by any mortal hand. There was a """\
	     """Knight staying here when the trouble started. He was determined to fight the beast. He descended into """\
	     """the tunnels days since and has not been seen again. I fear he has met a terrible end. The only hope is to """\
	     """restore the power of the Shrine. Then we may call upon Ianna to help us in this dark hour. """,
            'Answers': ['wherefound2'],
            'NewDlg': None
        },
	'potionsabout': {
	    'Text':
	     """Look around the Library before you go. There may be a few things that may be useful to you. """\
	     """Good Luck. """,
	    'CallBack':'SetHallTrigger', 
            'Answers': [],
            'NewDlg': None
        },
	'goodbye': {
	    'Text':
	     """We cannot thank you enough %PlayerName. The dark shadow is lifted and the peace of Karaz-Ankor """\
	     """is restored. You will be safe here now that Vinculanus is slain.  Will you not stay? """,
	     'ExtraDlg': ['Crazydwarf',
	    	         """Yes! Do stay. I will need a hand digging out all that cheese."""],
            'Answers': ['keepgoing'],
            'NewDlg': None
        },
	'safetrip': {
	    'Text':
	     """Alas.....you are probably right my friend. George has opened the East Gate. Follow the track """\
	     """until you reach the old Watchtower. Beyond lies a way to the lowlands in the East. """\
	     """Farewell. """,
            'Answers': ['returnagain'],
            'NewDlg': None
        }
}           
           
           
TSDB.Ans ["Colin"]={
	'onlyme': {
	    'Text':
	     """Fear not for I am not one of the walking dead. My name is %PlayerName. Please open the door. """,
	    'NextDlg': 'colinopendoor',
	    'Enabled':1
	}, 
	'lotsofspooks': {
	   'Text':
	    """The whole place is infested by undead creatures. Yet some of your bretheren have survived and """\
	    """are hiding where they can. But what happened to bring about this unfortunate event? """,
	   'NextDlg': 'digging',
	   'Enabled':1    
	}, 
	'lotsofspooks2': {
	   'Text':
	    """The whole place is infested by undead creatures. Yet some of your bretheren have survived and """\
	    """are hiding where they can. But what happened to bring about this unfortunate event? """,
	   'NextDlg': 'digging2',
	   'Enabled':1    
	}, 
	'wherefound': {
	   'Text':
	    """Where might these sacred artifacts be found? """,
	   'NextDlg': 'nonot2',
	   'Enabled':1
	}, 
	'wherefound2': {
	   'Text':
	    """I have met this Knight. He is injured but alive. He is safe for the moment. """\
	    """Where might these sacred artifacts be found? """,
	   'NextDlg': 'nonot2',
	   'Enabled':1
	}, 
	'wherearethey': {
	   'Text':
	    """I will do what I can. I have had experience in dealing with such creatures. I am willing to face """\
	    """the monster in it's lair and drive it back to whatever foul pit from whence it sprang. """,
	   'NextDlg': 'nonot',
	   'Enabled':1
	}, 
	'wherearethey2': {
	   'Text':
	    """I will do what I can. I have had experience in dealing with such creatures. I am willing to face """\
	    """the monster in it's lair and drive it back to whatever foul pit from whence it sprang, """,
	   'NextDlg': 'no2not2',
	   'Enabled':1
	}, 
	'leaveittome': {
	   'Text':
	    """I will have a look around. Close the door behind me. """,
	   'NextDlg': 'potionsabout',
	   'Enabled':1   
	}, 
	'keepgoing': {
	   'Text':
	    """Ha!...That is a most attractive offer, but I must keep moving. I fear Vinculanus is not dead. He used  """\
	    """his master's power to avoid that fate. Even now, his black spirit wings it's way back to the """\
	    """Dark Tower. It is only a matter of time before he returns. """, 
	   'NextDlg': 'safetrip',
	   'Enabled':1   
	}, 
	'returnagain': {
	   'Text':
	    """I may return one day. Goodbye to you all.  """,
	   'NextDlg': None,
	   'Enabled':1                      
        }
}    

###########################################################################################################################
################## Roifur #################################################################################################
###########################################################################################################################

TSDB.Dlg ["Roifur"]={
	'saveelephant': {
	    'Text':
	     """Arggh! My strength has failed me.....I fear my wounds are mortal. Save the Sacred  """\
	     """Elephant I beg you. Watch out there are some......""",
           'Answers': ['somewhat'],
           'NewDlg': None
        }
}           
           
           
TSDB.Ans ["Roifur"]={
	'somewhat': {
	    'Text':
	     """Do not worry old one. I will get help.... """,
	    'NextDlg': None,
	    'Enabled':1
        }
}    

###########################################################################################################################
################## Acolyte #################################################################################################
###########################################################################################################################

TSDB.Dlg ["Lucidya"]={
	'hail': {
	    'Text':
	     """Hail %PlayerName! Be not afraid. I am Lucidya, Acolyte of the Goddess Ianna. My Divine Mistress """\
	     """is well acquainted with your exploits and has sent me to render aid in your struggle against the """\
	     """Darkness that has disturbed the tranquillity of Karaz-Ankor. """,
           'Answers': ['demon'],
           'NewDlg': None
        },
        'hail2': {
	    'Text':
	     """You speak truth %PlayerName. But I will help you as much as I am able. """,
           'Answers': ['cheers'],
           'NewDlg': None
        },
        'weapon': {
	    'Text':
	     """Take this %wep. It has great power. Use it well. """,
	   'CallBack':'InvokeSword', 
           'Answers': ['gonow'],
           'NewDlg': None
        },
        'crown': {
	    'Text':
	     """You have great courage %PlayerName, but the %wep will not save you from the scorching breath """\
	     """of the creatures in the netherworld. Here is a small trinket that will give you protection. Use """\
	     """it with care. """,
	   'CallBack':'InvokeCrown', 
           'Answers': ['gonow2'],
           'NewDlg': None
        },
        'depart': {
	    'Text':
	     """I wish you good fortune %PlayerName. I must away now. Farewell....... """,
	   'CallBack':'AcolyteDeparts', 
           'Answers': [],
           'NewDlg': None
        }
}           
           
           
TSDB.Ans ["Lucidya"]={
	'demon': {
	    'Text':
	     """I am deeply honored! But I have been told that the evil emanates from a demon that inhabits a """\
	     """great cave, deep beneath the Monastery. It is well protected by a hoard of lesser minions. No mortal """\
	     """can prevail against their power......""",
	    'NextDlg': 'hail2',
	    'Enabled':1
	},
	'cheers': {
	    'Text':
	     """I thank you most deeply My Lady. I will need all the help I can get. """,
	    'NextDlg': 'weapon',
	    'Enabled':1
	},
	'gonow': {
	    'Text':
	     """I trust I will prove worthy of such an excellent weapon. I will descend into the darkness and """\
	     """slay the Beast """,
	    'NextDlg': 'crown',
	    'Enabled':1
	},
	'gonow2': {
	    'Text':
	     """Thank you again. """,
	    'NextDlg': 'depart',
	    'Enabled':1
        }
}    

###########################################################################################################################
############################ George the Bellringer ########################################################################
###########################################################################################################################


TSDB.Dlg ["George"]={
	'thoughtbaddie': {
	    'Text':
	     """Forgive me my friend. I took you for one of those foul creatures. Please, I implore you """\
	     """take the sacred falcon and keep it safe. """,
	    
           'Answers': ['geowilldo'],
           'NewDlg': None
        },
	'overyonder': {
	    'Text':
	     """I am not rightly sure. I think I saw old Roifur escape towards the Observatory yonder. There was  """\
	     """much confusion, but I think he had the elephant statue. Here is the key to the gate......""",
	    'CallBack':'GeorgeLookAndPoint', 
            'Answers': ['iwilllookupthere'],
            'NewDlg': None
        },
	'imhiding': {
	    'Text':
	     """Hello again. I have not seen any more spooks. """,
            'Answers': ['lielow'],
            'NewDlg': None
        },
	'justamo': {
	    'Text':
	     """Have a safe journey %PlayerName. Look out for Asgeirr at the Watchtower. He lives there  """\
	     """most of the time with only the Wyverns for company. Please give him my regards. """,
	    'CallBack':'HectorApproach', 
            'Answers': ['surewill'],
            'NewDlg': None
        },
	'times': {
	    'Text':
	     """I hope you will return to us one day......Ah! Here is Hector.  """,
	     'ExtraDlg': ['Hector',
	    	         """I have walked the path as far as the Grave of Skorageirr. All is clear."""],
            'Answers': ['imoff'],
            'NewDlg': None
        }
}           
           
           
TSDB.Ans ["George"]={
	'geowilldo': {
	    'Text':
	     """I will guard it with my life. But I understand there are three more sacred statues. Do you know """\
	     """where I might find them? """,
	    'NextDlg': 'overyonder',
	    'Enabled':1
	}, 
	'iwilllookupthere': {
	   'Text':
	    """I will take a look up there. You had better find another hiding place in case more enemies """\
	    """are prowling about. """,
	   'NextDlg': None,
	   'Enabled':1    
	}, 
	'lielow': {
	   'Text':
	    """I have killed a few, but stay hidden. There may well be some stray ones. """,
	   'NextDlg': None,
	   'Enabled':1
	}, 
	'surewill': {
	   'Text':
	    """Of course. Now I must be gone before more of Dal Gurak's henchman can pick up my trail. """,
	   'NextDlg': 'times',
	   'Enabled':1
	}, 
	'imoff': {
	   'Text':
	    """Thank you Hector. Now I will depart......  """,
	   'NextDlg': None,
	   'Enabled':1
        }
}    

########################################################################################################################
########################################################## Crazydwarf ##################################################
########################################################################################################################

TSDB.Dlg ["CrazyDwarf"]={
	'hellomate1': {
	    'Text':
	     """Why, it is my old friend %PlayerName. What are you doing down this hole? """,
           'Answers': ['askyou1'],
           'NewDlg': None
        },
	'hellomateihavealreadyseenyou': {
	    'Text':
	     """Ah, %PlayerName. How did you get to here? This wall was much tougher than I """\
	     """thought. I have been hammering at it for ages. What is more the tunnel collapsed  """\
	     """behind me and I could not get back the way I came in. """,
            'Answers': ['thrucave'],
            'NewDlg': None
        },
	'hellomate3': {
	    'Text':
	     """Arrrgh! You gave me a fright! Why, it is my old friend %PlayerName. What are you doing here? """,
            'Answers': ['askyou2'],
            'NewDlg': None
        },
	'getout1': {
	    'Text':
	     """I was locked up in a cell my friend. But the prison has not been built that can hold Crazydwarf!  """,
            'Answers': ['wheretherock'],
            'NewDlg': None
        },
	'getout2': {
	    'Text':
	     """I came to this place for a holiday, but shortly after I arrived all hell broke loose and myself  """\
	     """and my campanions where rounded up by a big Golem and thrown into a cell. But the prison has yet to be """\
	     """built that can hold Crazydwarf. I thought I would tunnel my way out. """,
            'Answers': ['wheretherock2'],
            'NewDlg': None
        },
	'anotherhole': {
	    'Text':
	     """Ah! You should know that we Dwarfs are experts when it comes to mining. The answer is simple my """\
	     """friend. I dug another tunnel and put it all in there. """,
            'Answers': ['neverthought'],
            'NewDlg': None
        },
	'anotherhole2': {
	    'Text':
	     """Ah! You should know that we Dwarfs are experts when it comes to mining. The answer is simple my """\
	     """friend. I dug another tunnel and put it all in there. """,
            'Answers': ['neverthought2'],
            'NewDlg': None
        },
	'ogoody': {
	    'Text':
	     """A cheese mine you say? Gods be praised! I have searched all my life for such a wonder. """\
	     """But we seem to be in some sort of underground cellar. See if there is a way up to the surface. """\
	     """I will investigate the cheese. """,
            'Answers': ['ok1'],
            'NewDlg': None
        },
	'perhaps': {
	    'Text':
	     """Yes, perhaps that is a good idea. But I will try a little longer to get through this wall. """\
	     """Who knows what riches lie beyond """,
            'Answers': [],
            'NewDlg': None
        },
	'imhiding': {
	    'Text':
	     """Hello again. I have not seen any more spooks. """,
            'Answers': ['lielow'],
            'NewDlg': None
        },
	'stophere': {
	    'Text':
	     """I am not going to let a wall defeat me. I will break through if I keep chipping away long enough. """,
            'Answers': ['catchtalater'],
            'NewDlg': None
        }
}           
           
           
TSDB.Ans ["CrazyDwarf"]={
	'askyou1': {
	    'Text':
	     """By the Gods! Is that Crazydwarf I see? What on earth are you trying to do? """,
	    'NextDlg': 'getout1',
	    'Enabled':1
	},
	'askyou2': {
	    'Text':
	     """By the Gods! Is that you Crazydwarf? What on earth are you trying to do? """,
	    'NextDlg': 'getout2',
	    'Enabled':1
	}, 
	'wheretherock': {
	   'Text':
	    """Yes....well...a little further and you would have tunneled right into the lair of a huge """\
	    """Demon. But do not worry, I have slain the beast. Anyway, where have you put all the rock that """\
	    """you have excavated? """,
	   'NextDlg': 'anotherhole2',
	   'Enabled':1    
	}, 
	'wheretherock2': {
	   'Text':
	    """Yes, well you have made remarkable progress. It appears that you have struck a wall. I wonder """\
	    """what is on the far side. But one thing puzzles me. Where is all the rock """\
	    """that you have excavated? """,
	   'NextDlg': 'anotherhole',
	   'Enabled':1    
	}, 
	'thrucave': {
	   'Text':
	    """Well, while you have been chipping away down here I have exterminated all the nasty spooks """\
	    """that were roaming about and slayed a huge Demon. It is perhaps fortunate that the wall was """\
	    """very sturdy or you would have tunneled right into it's lair. But your labours were not in vain """\
	    """my friend! I have just discovered what appears to be an abandoned cheese mine. """,
	   'NextDlg': 'ogoody',
	   'Enabled':1    
	}, 
	'neverthought': {
	   'Text':
	    """Ahhhh.......I see. That is very clever. I will leave you to it. I fear you will not get through that  """\
	    """all very soon """,
	   'NextDlg': 'stophere',
	   'Enabled':1
	}, 
	'neverthought2': {
	   'Text':
	    """Hmmm.......I see. I never thought of that. Anyhow, I think I will find an easier way out. """\
	    """I have just discovered an abandoned cheese mine. """,
	   'NextDlg': 'ogoody',
	   'Enabled':1
	}, 
	'ok1': {
	   'Text':
	    """Very well. If there is a way out I will meet you outside. """,
	   'NextDlg': None,
	   'Enabled':1
	}, 
	'catchtalater': {
	   'Text':
	    """You are probably safer down here. I am going back up to have a look around. I will see you later, """\
	    """or not.....as the case may be. """,
	   'NextDlg': None,
	   'Enabled':1
        }
}    

########################################################################################################################
######################### Vinculanus ###################################################################################
########################################################################################################################

TSDB.Dlg ["Vinculanus"]={
	'gotcha': {
	    'Text':
	     """So! You thought you had escaped. Think again! You have gazed upon your last dawn. Before """\
	     """this day is ended your head will be on a plate on my Masters dining table. """,
           'Answers': ['getstuffed'],
           'NewDlg': None
        },
	'payfor': {
	    'Text':
	     """I care not for your feeble insults %Type. The snow will soon stained with your blood. """,
            'Answers': ['doyourworst'],
            'NewDlg': None
        }
}           
           
           
TSDB.Ans ["Vinculanus"]={
	'getstuffed': {
	    'Text':
	     """If only you could fight as well as you talk Vinculanus. But you stand before me unarmed. """\
	     """What new tricks has the Scorcerer been teaching his pet dog? """,
	    'NextDlg': 'payfor',
	    'Enabled':1
	},
	'doyourworst': {
	    'Text':
	     """Ha! You and all your kind are nothing but cowardly scum. Go ahead! Make my day.......  """,
           'CallBack':'StartBossFight', 
	   'NextDlg': None,
	   'Enabled':1         
        }
}    

########################################################################################################################
################################ Robin the Scorched Knight #############################################################
########################################################################################################################

TSDB.Dlg ["Robin"]={
	'donttryit1': {
	    'Text':
	     """Who is that? Friend or Foe? """,
	   'CallBack':'ResetTalkstate', 
           'Answers': ['onlyme'],
           'NewDlg': None
        },
	'passage': {
	    'Text':
	     """It is a tale of woe my friend...... Beyond that gate lies great peril. All manner of foul  """\
	     """beings guard the passage. Do not consider venturing down there. Only a firey death lies therein... """,
            'Answers': ['lookforcolin'],
            'NewDlg': None
        },
	'passage2': {
	    'Text':
	     """Ah!....wise old Colin. If only I had listened to his advice. If you are thinking of venturing  """\
	     """beyond that gate, think again! Only certain death lies beyond. """,
            'Answers': ['morehelp'],
            'NewDlg': None
        },
	'passage3': {
	    'Text':
	     """Ah!....wise old Colin. If only I had listened to his advice. If you are thinking of venturing  """\
	     """beyond that gate, think again! Only certain death lies beyond. """,
            'Answers': ['morehelp3'],
            'NewDlg': None
        },
	'nothalf': {
	    'Text':
	     """Ha!...Yes indeed! old Colin. If only I had listened to him! He warned me not to go down there. """\
	     """I was lucky to escape with my life, although I am somewhat scorched..... Go back up the elevator """\
	     """and along the gallery. The Scriptorium door lies straight ahead. You are sure to find him there. """\
	     """That is, if he has not fallen foul of some creeping abomination. """,
            'Answers': ['righto'],
            'NewDlg': None
        },
	'okhere': {
	    'Text':
	     """Thank you for your concern. I will be fine once I have cooled off. Go now and seek help.....  """,
	    'CallBack':'RobinTalk1', 
	    'HideDelay':6, 
            'Answers': [],
            'NewDlg': None
        },
        'donttryit2': {
	    'Text':
	     """Who is that? Friend or Foe? """,
	   'CallBack':'ResetTalkstate', 
           'Answers': ['onlyme2'],
           'NewDlg': None
        },
        'donttryit3': {
	    'Text':
	     """Who is that? Friend or Foe? """,
	   'CallBack':'ResetTalkstate', 
           'Answers': ['onlyme3'],
           'NewDlg': None
        },
        'donttryit4': {
	    'Text':
	     """Ah! %PlayerName. I feel a little better now. But wild horses could not drag me back down there..... """,
	   'CallBack':'ResetTalkstate', 
           'Answers': ['morehelp3'],
           'NewDlg': None
        },
	'goodforyou': {
	    'Text':
	     """May the Gods protect you in your quest. Go now. I will be fine once I have cooled off...... """,
	    'CallBack':'RobinTalk2', 
	     'HideDelay':6, 
            'Answers': [],
            'NewDlg': None
        },
	'goodforyou3': {
	    'Text':
	     """The Gods be Praised! Good Luck my friend. Go forth and do battle. I will be fine once I have cooled off...... """,
            'Answers': ['imoff'],
            'NewDlg': None
        }
}           
           
           
TSDB.Ans ["Robin"]={
	'onlyme': {
	    'Text':
	     """Fear not. My name is %PlayerName. You seem to have suffered grievous wounds. What is going on """\
	     """in this place? """,
	    'NextDlg': 'passage',
	    'Enabled':1
	},
	'onlyme2': {
	    'Text':
	     """Fear not. My name is %PlayerName. You seem to have suffered grievous wounds. You must be the """\
	     """brave Knight that Colin spoke of.  """,
	    'NextDlg': 'passage2',
	    'Enabled':1
	},
	'onlyme3': {
	    'Text':
	     """Fear not. My name is %PlayerName. You seem to have suffered grievous wounds. You must be the """\
	     """brave Knight that Colin spoke of.  """,
	    'NextDlg': 'passage3',
	    'Enabled':1
	}, 
	'lookforcolin': {
	   'Text':
	    """I heed your words Sir Knight. I am seeking a Dwarf by the name of Colin. I have been told """\
	    """he may have wise counsel to impart. """,
	   'NextDlg': 'nothalf',
	   'Enabled':1    
	}, 
	'righto': {
	   'Text':
	    """I will go straight there, but will you be alright? """,
	   'NextDlg': 'okhere',
	   'Enabled':1
	}, 
	'morehelp': {
	   'Text':
	    """I heed your words Sir Knight. I am trying to restore the power of the Shrine so that I can """\
	    """put an end the evil being that has befallen this peaceful retreat. """,
	   'NextDlg': 'goodforyou',
	   'Enabled':1   
	}, 
	'morehelp3': {
	   'Text':
	    """Be not concerned Sir Knight. I have cleared the monastery of the creeping dead and restored """\
	    """the power of the Shrine. I come prepared to banish the Demon and bring back harmony to this """\
	    """peaceful retreat. """,
	   'NextDlg': 'goodforyou3',
	   'Enabled':1       
	}, 
	'imoff': {
	   'Text':
	    """So be it. Close the gate behind me and try to make your way back. All is safe for the moment. """,
	   'CallBack':'LetGo', 
	   'NextDlg': None,
	   'Enabled':1                 
        }
}    

###########################################################################################################################
################## Fognar #################################################################################################
###########################################################################################################################

TSDB.Dlg ["Fognar"]={
	'hellothere': {
	    'Text':
	     """Arrgh! Do not hit me! I am just a poor old Dwarf. My eyes are dim and my legs are wobbly. """,
	   'CallBack':'StepBack', 
           'Answers': ['alarmed'],
           'NewDlg': None
        },
	'goingon': {
	    'Text':
	     """That is certainly true. I have not seen any of my friends for some days and there are two """\
	     """enormous knights patrolling the courtyard. I wish I knew exactly what is going on. I dare not """\
	     """try and enter the Monastery to find out. """,
            'Answers': ['illhavalook'],
            'NewDlg': None
        },
	'carefulnow': {
	    'Text':
	     """Be not too hasty my friend! I am sure you are a brave and skillful warrior, but those knights """\
	     """are very well armoured. Take those two Rockets. They will pierce the thickest armour. Take also """\
	     """the Purple Gem. Use it to give yourself extra protection....but do not throw any Rockets while """\
	     """you are so shielded. """,
            'Answers': ['ithanku'],
            'NewDlg': None
        },
	'theyrok': {
	    'Text':
	     """Worry not about the Wyverns. They have ever been benevolent to us. We protect their nesting grounds """\
	     """and they keep the mountain passes free from marauding Orcs and Trolls.  """,
	    'CallBack':'ResetTalkstate', 
            'Answers': ['soundsgood'],
            'NewDlg': None
        }
}           
           
           
TSDB.Ans ["Fognar"]={
	'alarmed': {
	    'Text':
	     """Do not be alarmed Master Dwarf. I mean you no harm. I merely seek refuge, but I am begining """\
	     """to suspect that all is not well. """,
	    'NextDlg': 'goingon',
	    'Enabled':1
	},
	'illhavalook': {
	    'Text':
	     """I will take a look myself. If the knights give me any trouble I will deal with them accordingly.  """,
	   'NextDlg': 'carefulnow',
	   'Enabled':1     
	},
	'ithanku': {
	    'Text':
	     """I thank you for that wise counsel, but what of the great flying beasts I have sighted in the area? """,
	   'NextDlg': 'theyrok',
	   'Enabled':1             
	},
	'soundsgood': {
	    'Text':
	     """I see. Well I will go now and see if I can get into the Monastery. If you hear sounds of battle, """\
	     """close and bar the door. """,
	   'NextDlg': None,
	   'Enabled':1         
        }
}    

###########################################################################################################################
############################################# Asgeirr ##################################################################### 
###########################################################################################################################

TSDB.Dlg ["Asgeirr"]={
	'welcome': {
	    'Text':
	     """Hello and welcome %PlayerName. I have been waiting many days for you to reach my tower. """,
	   'CallBack':'LookAtMeWhenImTalkingToYou', 
           'Answers': ['howdyano'],
           'NewDlg': None
        },
	'word': {
	    'Text':
	     """Forgive me. I am Asgeirr, the Keeper of Wyverns. We have a mutual friend, Glofror. He has sent """\
	     """word that you were travelling in these mountains and knew you would pass by eventually. I take it these """\
	     """jackals were also looking for you """,
            'Answers': ['isee'],
            'NewDlg': None
        },
	'message': {
	    'Text':
	     """I am glad to hear it. But listen carefully %PlayerName. It seems that the settlement of Carras Varr is under threat """\
	     """from a raiding party of Orcs. They seek to enslave the population and take over the forges. Some of the """\
	     """most skillful armourers live and work there. For all our sakes, this cannot be allowed to happen. """,  
	    'CallBack':'InitRoofTrigger',
            'Answers': ['howget'],
            'NewDlg': None
        },
	'meetup': {
	    'Text':
	     """The town lies deep in the marshlands near the mouth of the river Gyoll. The territory surrounding """\
	     """is treacherous. Glofror and a group of fellow Dwarves are staying at the house of Voignus, on the edge """\
	     """of the marshes. He asks that you meet him there and has sent a map so you may find your way there. """,  
            'Answers': ['map'],
            'NewDlg': None
        },
	'uponroof': {
	    'Text':
	     """I have it in a safe place, lest it fell into the wrong hands. Climb to the top of the tower and it will  """\
	     """be delivered to you. """,
            'Answers': ['whatever'],
            'NewDlg': None
        }
}           
           
           
TSDB.Ans ["Asgeirr"]={
	'howdyano': {
	    'Text':
	     """You have the advantage of me Sir. How do you know my name? """,
	    'NextDlg': 'word',
	    'Enabled':1
	},
	'isee': {
	    'Text':
	     """That is correct, but they were only stragglers. Their leader has fled. I doubt if you will see any more. """,
	   'NextDlg': 'message',
	   'Enabled':1    
	},
	'howget': {
	    'Text':
	     """No indeed, but how can I help? """,
	   'NextDlg': 'meetup',
	   'Enabled':1    
	},
	'map': {
	    'Text':
	     """I see. Well, if Glofror needs my help I must go to his side immediately. Where is this map? """,
	   'NextDlg': 'uponroof',
	   'Enabled':1    
	},
	'whatever': {
	    'Text':
	     """Very well Asgeirr. Whatever you say........ """,
	   'NextDlg': None,
	   'Enabled':1    
        }
}    

############################################################################################################################
############################################ Journal #######################################################################
############################################################################################################################

TSDB.JrlTxt = {
	'J1':
	    """After many days and nights travelling on deserted mountain paths, I believe """\
	    """the Black Guard have lost my trail. The Monastery of Karaz-Ankor cannot be far away. """,
	'J2':
	    """It seems Henry the Innkeeper has long been troubled by the Orcs that infest this district. """\
	    """This night they got more than they bargained for and many of them now lay dead.  """,
	'J2a':
	    """Henry is keen to finish off any Orcs that may still be hiding. In the field """\
	    """at the back of the house there is a large fire that the Orcs have made using Henry's furniture. """\
	    """I think the camp is up in the rocks nearby. I will have careful look around while Henry finds his club. """,
	'J3':
	    """The Chief Orc is slain. Now the way is free to reach the camp and maybe recover some of the supplies """\
	    """that they have stolen from Henry. """,
	'J4':
	    """Although Henry's hospitality is very welcome, I must keep moving on. He has given me a Magic Amulet """\
	    """imbued with some great power, but what it actually does is unknown to me. He warns me to use it """\
	    """only in the most desperate circumstances. Could this be the fabled Destroyer Amulet? If so, it is  """\
	    """reputed to exterminate all life within a short distance. I must be very careful. """,
	'J5':
	    """Across the vast windswept bridge that spans the gorge I have met three Dwarves. I seems Karaz-Ankor """\
	    """may not be the safe haven I had hoped for. But There is no going back. There is just the matter of some """\
	    """hairy monsters that have blocked the path. Harold has told me of an aborted attempt to clear """\
	    """the path with explosives. I think I will try to complete this strategy rather than fight the beasts """,
	'J6':
	    """I have cleared the narrow pass and now the Monastery is very near. I must stay alert for other """\
	    """dangers. """,
	'J7':
	    """The great Monastery door is closed and the only signs of life are Orcs prowling about outside. """\
	    """I must seek another way in. """,
	'J8':
	    """I have discovered a tunnel that shows signs of occupation. I suspect it to be a hiding place for a tribe """\
	    """of Orcs. If I can find another exit, it may lead to another way into the Monastery. Also there may """\
	    """be useful items concealed within. """,
	'J9':
	    """I have discovered an old Dwarf hiding near the outer wall of the Monastery. He has given me valuable """\
	    """information and useful items. A section of the wall has collapsed further on. I will make my way in, """\
	    """keeping a watch for the guards that are patrolling the courtyard. """,
	'J10':
	    """I have found my way into the Monastery through the dungeons and freed some prisoners. I will go on, """\
	    """but I must be vigilant. There is bound to be danger.  """,
	'J11':
	    """I have slain three more of the huge knights. They are known to be servants of the Evil Forces of this """\
	    """World. What they are doing here I do not know. The door to the Chapel is now open. I fear a trap. """,
	'J12':
	    """The situation is worsening. It seems some dark power has opened the tombs and raised the corpses of long-dead """\
	    """warriors to do it's bidding. I have yet to see any more of the resident Dwarves. """,
	'J13':
	    """I have found a friendly Dwarf, namely Tom the head cook. There are Zombies creeping about in droves. """\
	    """It seems I must locate a dwarf named Colin and seek his counsel. Most of the gates have been """\
	    """closed in an attempt to contain the Zombies. Tom informs me of a possible route """\
	    """through the Aquarium room. """,
	'J14':
	    """Colin has told me exactly what has transpired over the last few days. I seems the only hope is to reunite"""\
	    """four sacred statues in the Shrine of Ianna. These statues were hastily removed when the trouble started """\
	    """and could be anywhere in this vast building. I will search thoroughly. Colin has an idea that George the """\
	    """Bellringer is alive and has one of the statues. """,
	'J15':
	    """The power of the Shrine is restored and Ianna has showered her blessing upon me. I am now fit to """\
	    """go down into the caverns beneath the Monastery and do battle with the Great Beast. """,
	'J16':
	    """The Beast and all his minions are dead. But I the tunnel by which I entered is blocked. I must """\
	    """search for another way out. """,
	'J17':
	    """I have reached the surface once more, but I sense a bad atmosphere. A fierce storm is gathering.... """,
	'J18':
	    """After a tough battle, I have escaped the clutches of Vinculnaus once more. His dark spirit has taken in the form  """\
	    """of a carrion bird and fled. Although I had planned to stay here, I must move on. The Black Guard will """\
	    """surely return. I will bid farewell to my new friends and be on my way. """,
        }


###########################################################################################################################
############ Load Screen


#      High among the icy peaks of the Western Range stands the Monastery of Karaz-Ankor.
#  The mighty fortress is steeped in Legends of the Dwarf-Lord Skorageirr: of how, after
#  the siege of Tumunzahar, the Goddess Ianna appeared to him on the field of battle.
#  In recongnition of his great courage, four sacred statues were given into his charge
#  and he and his company journeyed into the mountains and built a Shrine to hold the
#  statues and raised the great walls around it so that they may ever be protected.
#       The ancient heroes have long since passed beyond. Only their tombs remain. 
#  A botherhood of Dwarves have become guardians of the Shrine and the power of the
#  four statues still holds a benign influence thoughout the region. The Monastery has 
#  become a place of scantuary for all who seek refuge from oppression........























